<template>
  <q-page class="no-scroll">
    <q-img class="fullscreen main-page" src="../statics/images/fon.jpg" v-if="!view"/>
    <div :class="{ header : view }" class="row q-px-xl q-pt-lg q-pb-md text-uppercase">
      <div class="row col-3">
        <router-link to="/"><img class="logo" src="../statics/images/logo.png" @click="view = false, tab = null"/></router-link>
        <span class="q-ml-md q-mt-sm font-regular text-h5 spacing">MINTIUM</span>
      </div>
      <div class="row col-6 q-gutter-x-xl q-mt-sm q-pt-xs font-regular text-subtitle1 spacing">
        <router-link to="/profiles"><div>Профили</div></router-link>
        <div class="q-px-lg">Статьи</div>
        <div>События</div>
      </div>
      <div class="row justify-end col-3 q-mt-sm q-mr-lg q-pt-xs font-regular text-subtitle1 spacing">
        <div v-if="userId === 1" class="cursor-pointer" @click="$router.push({ name: 'profile.page', params: { id: '2' } })">Личный кабинет</div>
        <div v-else class="cursor-pointer" @click="modalLogin = true">Вход</div>
      </div>
    </div>
    <div class="row q-ml-xl q-pt-xl">
      <div class="col-3 q-pt-lg column font-regular text-subtitle1 spacing q-gutter-y-xl text-uppercase">
        <div :class="{'font-demi' : tab === 'works'}"  class="cursor-pointer" @click="view = true, tab = 'works', marker = 1">Лучшие работы</div>
        <div :class="{'font-demi' : tab === 'news'}"  class="cursor-pointer" @click="view = true, tab = 'news', marker = 1">Новости</div>
        <div :class="{'font-demi' : tab === 'photographs'}"  class="cursor-pointer" @click="view = true, tab = 'photographs', marker = 1">Фотографы</div>
        <div :class="{'font-demi' : tab === 'models'}"  class="cursor-pointer" @click="view = true, tab = 'models', marker = 1">Модели</div>
      </div>
      <div class="col-7 row justify-center q-pt-lg" v-if="tab === 'works'">
        <div class="row items-center q-pb-xl cursor-pointer">
          <img src="../statics/icons/arrow.png" @click="decrease()"/>
        </div>
        <div class="q-mx-xl column">
          <div class="q-mb-lg">
            <img class="slider-photo" :src="'../statics/images/photo' + marker + '.png'" />
          </div>
          <div class="row justify-center q-col-gutter-x-md">
            <div v-for="i in 6" :key="i">
              <img v-if="marker === i" class="cursor-pointer" src="../statics/images/active-slide.png" @click="marker = i"/>
              <img v-else class="cursor-pointer" src="../statics/images/sliderMarker.png" @click="marker = i"/>
            </div>
          </div>
        </div>
        <div class="row items-center q-pt-xl rotate-180 cursor-pointer">
          <img src="../statics/icons/arrow.png" @click="increase()"/>
        </div>
      </div>
      <div class="col-8 row justify-center q-pt-lg" v-if="tab === 'news'">
        <div class="row items-center q-pb-xl cursor-pointer">
          <img src="../statics/icons/arrow.png" @click="decrease()"/>
        </div>
        <div class="q-mx-xl column">
          <div class="q-mb-lg row">
            <img class="slider-photo" :src="'../statics/images/new' + marker + '.png'" />
            <div class="new-desc text-center q-ma-md">
              <div class="font-demi text-uppercase text-body1 q-mb-md">Поездка в Выборг</div>
              <div class="font-regular text-body2">Клуб “Гутфото” совершил поездку в Выборг!
                Поездка проводилась с 1 марта по 3 марта. Ребята успели пройти весь город, совершить две фотосессии и даже посетить музеи.
                Организатором поездки является фотограф Алина Романова.</div>
            </div>
          </div>
          <div class="row q-ml-xl q-pl-xl q-col-gutter-x-md">
            <div v-for="i in 6" :key="i">
              <img v-if="marker === i" class="cursor-pointer" src="../statics/images/active-slide.png" @click="marker = i"/>
              <img v-else class="cursor-pointer" src="../statics/images/sliderMarker.png" @click="marker = i"/>
            </div>
          </div>
        </div>
        <div class="row items-center q-pt-xl rotate-180 cursor-pointer">
          <img src="../statics/icons/arrow.png" @click="increase()"/>
        </div>
      </div>
      <div class="col-7 row justify-center q-pt-lg" v-if="tab === 'photographs'">
        <div class="row items-center q-pb-xl cursor-pointer">
          <img src="../statics/icons/arrow.png" @click="decrease()"/>
        </div>
        <div class="q-mx-xl column">
          <div class="q-mb-lg row">
            <img class="slider-photo" :src="'../statics/images/photograph' + marker + '.png'" />
            <div class="new-desc text-center q-ma-md">
              <div class="font-demi text-body1 text-uppercase q-mb-md">{{photographs[marker - 1].first_name}} {{photographs[marker - 1].last_name}}</div>
              <div class="font-medium text-body1 text-uppercase text-grey-5">Рейтинг: {{photographs[marker - 1].rating}}</div>
              <div class="font-regular text-body2 q-pt-lg q-pb-md q-px-md">Город: {{photographs[marker - 1].city}}</div>
              <div class="font-regular text-body2 q-pb-lg q-px-md">Имею большой опыт в фотоиндустрии и в таких жанрах, как студийная, детская и предметная
                съёмка.</div>
            </div>
          </div>
          <div class="row justify-center q-col-gutter-x-md">
            <div v-for="i in 6" :key="i">
              <img v-if="marker === i" class="cursor-pointer" src="../statics/images/active-slide.png" @click="marker = i"/>
              <img v-else class="cursor-pointer" src="../statics/images/sliderMarker.png" @click="marker = i"/>
            </div>
          </div>
        </div>
        <div class="row items-center q-pt-xl rotate-180 cursor-pointer">
          <img src="../statics/icons/arrow.png" @click="increase()"/>
        </div>
      </div>
      <div class="col-7 row justify-center q-pt-lg" v-if="tab === 'models'">
        <div class="row items-center q-pb-xl cursor-pointer">
          <img src="../statics/icons/arrow.png" @click="decrease()"/>
        </div>
        <div class="q-mx-xl column">
          <div class="q-mb-lg row">
            <img class="slider-photo" :src="'../statics/images/model' + marker + '.png'" />
            <div class="new-desc text-center q-ma-md">
              <div class="font-demi text-body1 text-uppercase q-mb-md">{{models[marker - 1].first_name}} {{models[marker - 1].last_name}}</div>
              <div class="font-medium text-body1 text-uppercase text-grey-5">Рейтинг: {{models[marker - 1].rating}}</div>
              <div class="font-regular text-body2 q-pt-lg q-pb-md q-px-md">Город: {{models[marker - 1].city}}</div>
              <div class="font-regular text-body2 q-pb-lg q-px-md">Работаю моделью около 4-х лет. Работала с такими журналами, как “Bell Magazine” и “Rento Girls”.</div>
            </div>
          </div>
          <div class="row justify-center q-col-gutter-x-md">
            <div v-for="i in 6" :key="i">
              <img v-if="marker === i" class="cursor-pointer" src="../statics/images/active-slide.png" @click="marker = i"/>
              <img v-else class="cursor-pointer" src="../statics/images/sliderMarker.png" @click="marker = i"/>
            </div>
          </div>
        </div>
        <div class="row items-center q-pt-xl rotate-180 cursor-pointer">
          <img src="../statics/icons/arrow.png" @click="increase()"/>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="row items-end absolute-bottom-right q-mb-sm q-mr-xl">
        <div class="q-mb-sm"><img src="../statics/icons/facebook.svg" /></div>
        <div class="q-mb-sm q-ml-md q-mr-sm"><img src="../statics/icons/insta.svg" /></div>
        <div><img src="../statics/icons/twitter.svg" /></div>
      </div>
    </div>
    <modal-login v-if="modalLogin" @closeModalLogin="closeModalLogin" @openModalRegister="openModalRegister"/>
    <modal-register v-if="modalRegister" @closeModalRegister="closeModalRegister"/>
  </q-page>
</template>
<script>
import ModalLogin from '../components/ModalLogin'
import ModalRegister from '../components/ModalRegister'
import { mapGetters } from 'vuex'
export default {
  name: 'MainPage',
  components: {
    ModalLogin, ModalRegister
  },
  data () {
    return {
      view: false,
      marker: 1,
      tab: null,
      modalLogin: false,
      modalRegister: false,
      photographs: [
        {
          first_name: 'Алина',
          last_name: 'Романова',
          rating: 9.9,
          city: 'Санкт-Петербург'
        },
        {
          first_name: 'Дарья',
          last_name: 'Чернова',
          rating: 9.9,
          city: 'Псков'
        },
        {
          first_name: 'Карина',
          last_name: 'Троева',
          rating: 9.8,
          city: 'Москва'
        },
        {
          first_name: 'Александра',
          last_name: 'Доля',
          rating: 9.8,
          city: 'Санкт-Петербург'
        },
        {
          first_name: 'Алексей',
          last_name: 'Саранцев',
          rating: 9.7,
          city: 'Санкт-Петербург'
        },
        {
          first_name: 'Марина',
          last_name: 'Белова',
          rating: 9.7,
          city: 'Екатеринбург'
        }
      ],
      models: [
        {
          first_name: 'Анастасия',
          last_name: 'Бурдинская',
          rating: 9.9,
          city: 'Санкт-Петербург'
        },
        {
          first_name: 'Евгения',
          last_name: 'Шилова',
          rating: 9.9,
          city: 'Тула'
        },
        {
          first_name: 'Галина',
          last_name: 'Андерсон',
          rating: 9.8,
          city: 'Санкт-Петербург'
        },
        {
          first_name: 'Елизавета',
          last_name: 'Митченкова',
          rating: 9.7,
          city: 'Санкт-Петербург'
        },
        {
          first_name: 'Дарья',
          last_name: 'Радзивилл',
          rating: 9.7,
          city: 'Тюмень'
        },
        {
          first_name: 'Кристина',
          last_name: 'Цветочкина',
          rating: 9.6,
          city: 'Москва'
        }
      ]
    }
  },
  computed: {
    ...mapGetters({
      userId: 'auth/auth/userId'
    })
  },
  methods: {
    increase () {
      this.marker += 1
      if (this.marker > 6) {
        this.marker -= 1
      }
    },
    decrease () {
      this.marker -= 1
      if (this.marker < 1) {
        this.marker += 1
      }
    },
    closeModalLogin () {
      this.modalLogin = false
    },
    openModalRegister () {
      this.modalLogin = false
      this.modalRegister = true
    },
    closeModalRegister () {
      this.modalRegister = false
    }
  }
}
</script>
